1. Checkout Request
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Checkout Request
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Payment Request
    • Payment Order Request
      POST
    • Reject Order By OriginatorConversationId
      POST
    • Find Payment Order By OriginatorConversationId
      GET
  • Collection Request
    • Find Express Deposit By OriginatorConversationId
      GET
    • Express Deposit Request
      POST
  • Bill Payments
    • Bill Number
      POST
    • Find Bill Number By Service Id and Account Number
      GET
    • Bill Request
      POST
    • Find Bill Request By Originator Converstion Id
      GET
    • Find Bill Services
      GET
  • KYC
    • Account Number Validation Request
      POST
    • KYC Validation
      POST
    • KYC Validation
      GET
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Payment Links
    • Find Payment Links By Id
    • Create Payment Link
    • Update Payment Link
  • Customer Accounts
    • Balance Check
    • Find Charges By TransactionTypeId
  • Airtime Purchase
    • Airtime Purchase
    • Find Airtime Purchases By OriginatorConversationId
  1. Checkout Request

Checkout Callback Request

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
POST
/checkout/cart
This document describes how to handle merchant-provided URL callbacks.
Used by the system to notify the merchant about the status of a transaction asynchronously.
Response:
Return HTTP 200 OK to acknowledge that the callback has been received successfully.
Security:
Optional: validate a secret signature/hash if provided in query string or headers.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://auth.zamupay.com/checkout/cart' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "originatorConversationId": "00a9f0d4-6e2b-4a8f-b9d3-5f7c2e1a4b66",
    "checkoutReference": "ORD-20260126-7848",
    "checkoutRouteId": "DED81224-70B6-ED11-AD49-0EE00E897F52",
    "checkoutRouteChannelType": 172,
    "checkoutNotes": "Customer checkout for apparel purchase",
    "checkoutCurrencyCode": 404,
    "checkoutCurrencyName": "KES",
    "checkoutDueDate": "2026-12-31T23:59:59Z",
    "checkoutReturnUrl": "https://checkout.merchant.com/payment/response",
    "checkoutCancelUrl": "https://checkout.merchant.com/payment/cancel",
    "checkoutCallbackUrl": "https://checkout.merchant.com/api/payment/result",
    "checkoutAccountNo": "0072",
    "checkoutRequestLines": [
        {
            "sku": "SHRT-BLK-XL-9981",
            "name": "Black Shirt XL",
            "price": 2500.0
        },
        {
            "sku": "SHRT-BLU-L-4421",
            "name": "Blue Shirt Large",
            "price": 2200.0
        },
        {
            "sku": "SHRT-GRN-M-7712",
            "name": "Green Shirt Medium",
            "price": 2300.0
        }
    ],
    "checkoutOutcome": {
        "Status": 4,
        "StatusDesc": "Completed",
        "ResultCode": "000",
        "ResultDesc": "Request Processed",
        "ThirdPartyPayload": {
            "ResponseCode": "000",
            "ResponseDesc": "Request Processed",
            "Reference": "TXN565FDR43211",
        }
    }
}'
Response Response Example
{}
Modified at 2026-01-30 08:42:51
Previous
Query Checkout Request
Next
Payment Order Request
Built with